<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>独角数卡安装程序</title>
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, minimum-scale=1">
    <meta name="renderer" content="webkit">

    <style>
        body {
            background: #fff;
            margin: 0;
            padding: 0;
            line-height: 1.5;
        }
        body, input, button {
            font-family: 'Open Sans', sans-serif;
            font-size: 16px;
            color: #7E96B3;
        }
        .container {
            max-width: 515px;
            margin: 0 auto;
            padding: 20px;
            text-align: center;
        }
        a {
            color: #18bc9c;
            text-decoration: none;
        }
        a:hover {
            text-decoration: underline;
        }

        h1 {
            margin-top:0;
            margin-bottom: 10px;
        }
        h2 {
            font-size: 28px;
            font-weight: normal;
            color: #3C5675;
            margin-bottom: 0;
        }

        form {
            margin-top: 40px;
        }
        .form-group {
            margin-bottom: 20px;
        }
        .form-group .form-field:first-child input {
            border-top-left-radius: 4px;
            border-top-right-radius: 4px;
        }
        .form-group .form-field:last-child input {
            border-bottom-left-radius: 4px;
            border-bottom-right-radius: 4px;
        }
        .form-field input {
            background: #EDF2F7;
            margin: 0 0 1px;
            border: 2px solid transparent;
            transition: background 0.2s, border-color 0.2s, color 0.2s;
            width: 100%;
            padding: 15px 15px 15px 180px;
            box-sizing: border-box;
        }
        .form-field input:focus {
            border-color: #18bc9c;
            background: #fff;
            color: #444;
            outline: none;
        }
        .form-field label {
            float: left;
            width: 160px;
            text-align: right;
            margin-right: -160px;
            position: relative;
            margin-top: 18px;
            font-size: 14px;
            pointer-events: none;
            opacity: 0.7;
        }
        button,.btn {
            background: #3C5675;
            color: #fff;
            border: 0;
            font-weight: bold;
            border-radius: 4px;
            cursor: pointer;
            padding: 15px 30px;
            -webkit-appearance: none;
        }
        button[disabled] {
            opacity: 0.5;
        }

        #error,.error,#success,.success {
            background: #D83E3E;
            color: #fff;
            padding: 15px 20px;
            border-radius: 4px;
            margin-bottom: 20px;
        }
        #success {
            background:#3C5675;
        }

        #error a, .error a {
            color:white;
            text-decoration: underline;
        }
    </style>
</head>

<body>
<div class="container">
    <h1>
        <svg version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" width="200px" height="57px" viewBox="0 0 200 57" enable-background="new 0 0 200 57" xml:space="preserve">
            <image  width="200" height="57" x="0" y="0" xlink:href="data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAgAAAAIACAAAAADRE4smAAAABGdBTUEAALGPC/xhBQAAACBjSFJN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" />
        </svg>

    </h1>
    <h2>独角数卡 「{{ config('dujiaoka.dujiaoka_version') }}」</h2>
    <div>

        <p>每个梦想的路上，一起前行....！
            <a href="https://t.me/dujiaoka" id="qq-group-link" target="_blank">
                👉🏻加入Telegram交流群
            </a>
        </p>

        <form method="post">
            <div id="error" style="display:none"></div>
            <div id="success" style="display:none"></div>
            {{ csrf_field() }}
            <div class="form-group">
                <div class="form-field">
                    <label>MySQL 数据库地址</label>
                    <input name="db_host" value="127.0.0.1" required="">
                </div>

                <div class="form-field">
                    <label>MySQL 端口</label>
                    <input name="db_port" value="3306" required="">
                </div>
                <div class="form-field">
                    <label>MySQL 数据库名</label>
                    <input name="db_database" value="dujiaoka" required="">
                </div>

                <div class="form-field">
                    <label>MySQL 用户名</label>
                    <input name="db_username" value="root" required="">
                </div>

                <div class="form-field">
                    <label>MySQL 密码</label>
                    <input name="db_password"  required="">
                </div>
            </div>

            <div class="form-group">
                <div class="form-field">
                    <label>Redis 连接地址</label>
                    <input name="redis_host" value="127.0.0.1" required="">
                </div>

                <div class="form-field">
                    <label>Redis 密码</label>
                    <input name="redis_password" value="" placeholder="默认不填写">
                </div>

                <div class="form-field">
                    <label>Redis 端口</label>
                    <input name="redis_port" value="6379" required="">
                </div>

            </div>

            <div class="form-group">
                <div class="form-field">
                    <label>网站名称</label>
                    <input type="title" value="独角数卡" name="title" required="">
                </div>

                <div class="form-field">
                    <label>网站url</label>
                    <input name="app_url" value="" required="" placeholder="例如：http://dujiaoka.com" />
                </div>


                <div class="form-field">
                    <label>后台登录路径</label>
                    <input  name="admin_path" value="/admin" required="" placeholder="例如：/admin">
                </div>

            </div>

            <div class="form-buttons">
                <button type="submit">点击安装</button>
            </div>
        </form>

        <script src="https://cdn.bootcss.com/jquery/2.1.4/jquery.min.js"></script>
        <script>
            $(function () {
                $('form:input:first').select();

                $('form').on('submit', function (e) {
                    e.preventDefault();

                    var $button = $(this).find('button')
                        .text('安装中...')
                        .prop('disabled', true);
                    var adminurl = $("input[name='admin_path']").val()
                    $.post('{{ url('/do-install') }}', $(this).serialize())
                        .done(function (ret) {
                            if (ret === 'success') {
                                $('#error').hide();
                                $("#success").text("安装成功！您的后台登录账号密码均为：admin，请及时登录修改！").show();
                                $('<a class="btn" href="/">访问首页</a> <a class="btn" href=\"'+ adminurl +'\" style="background:#18bc9c">访问后台</a>').insertAfter($button);
                                $button.remove();
                            } else {
                                $('#error').show().text(ret);
                                $button.prop('disabled', false).text('点击安装');
                                $("html,body").animate({
                                    scrollTop: 0
                                }, 500);
                            }
                        })
                        .fail(function (data) {
                            $('#error').show().text('发生错误:\n\n' + data.responseText);
                            $button.prop('disabled', false).text('点击安装');
                            $("html,body").animate({
                                scrollTop: 0
                            }, 500);
                        });

                    return false;
                });
            });
        </script>
    </div>
</div>
</body>
</html>
